TPM2 tests set uses /dev/tpm0 and /dev/tpmrm0 without check if they
are available. In case, when these devices are not available test
fails, but expected behaviour is skipped test.
Signed-off-by: Nikita Sobolev <[email protected]>
---
Changes for v2:
- Coding Style cleanup
Changes for v3:
- Commit text message cleanup
tools/testing/selftests/tpm2/test_smoke.sh | 5 +++++
tools/testing/selftests/tpm2/test_space.sh | 5 +++++
2 files changed, 10 insertions(+)
diff --git a/tools/testing/selftests/tpm2/test_smoke.sh b/tools/testing/selftests/tpm2/test_smoke.sh
index 8155c2ea7ccb..663062701d5a 100755
--- a/tools/testing/selftests/tpm2/test_smoke.sh
+++ b/tools/testing/selftests/tpm2/test_smoke.sh
@@ -1,6 +1,11 @@
#!/bin/bash
# SPDX-License-Identifier: (GPL-2.0 OR BSD-3-Clause)
+# Kselftest framework requirement - SKIP code is 4.
+ksft_skip=4
+
+[ -f /dev/tpm0 ] || exit $ksft_skip
+
python -m unittest -v tpm2_tests.SmokeTest
python -m unittest -v tpm2_tests.AsyncTest
diff --git a/tools/testing/selftests/tpm2/test_space.sh b/tools/testing/selftests/tpm2/test_space.sh
index a6f5e346635e..36c9d030a1c6 100755
--- a/tools/testing/selftests/tpm2/test_space.sh
+++ b/tools/testing/selftests/tpm2/test_space.sh
@@ -1,4 +1,9 @@
#!/bin/bash
# SPDX-License-Identifier: (GPL-2.0 OR BSD-3-Clause)
+# Kselftest framework requirement - SKIP code is 4.
+ksft_skip=4
+
+[ -f /dev/tpmrm0 ] || exit $ksft_skip
+
python -m unittest -v tpm2_tests.SpaceTest
--
2.16.2
On Thu, May 21, 2020 at 05:43:44PM +0300, Nikita Sobolev wrote:
> TPM2 tests set uses /dev/tpm0 and /dev/tpmrm0 without check if they
> are available. In case, when these devices are not available test
> fails, but expected behaviour is skipped test.
>
> Signed-off-by: Nikita Sobolev <[email protected]>
Reviewed-by: Jarkko Sakkinen <[email protected]>
Thank you.
/Jarkko
On Fri, May 22, 2020 at 07:37:17PM +0300, Jarkko Sakkinen wrote:
> On Thu, May 21, 2020 at 05:43:44PM +0300, Nikita Sobolev wrote:
> > TPM2 tests set uses /dev/tpm0 and /dev/tpmrm0 without check if they
> > are available. In case, when these devices are not available test
> > fails, but expected behaviour is skipped test.
> >
> > Signed-off-by: Nikita Sobolev <[email protected]>
>
> Reviewed-by: Jarkko Sakkinen <[email protected]>
Shuah, can you pick this up?
/Jarkko
Hi,
> TPM2 tests set uses /dev/tpm0 and /dev/tpmrm0 without check if they
> are available. In case, when these devices are not available test
> fails, but expected behaviour is skipped test.
Reviewed-by: Petr Vorel <[email protected]>
Kind regards,
Petr
On 5/22/20 10:37 AM, Jarkko Sakkinen wrote:
> On Fri, May 22, 2020 at 07:37:17PM +0300, Jarkko Sakkinen wrote:
>> On Thu, May 21, 2020 at 05:43:44PM +0300, Nikita Sobolev wrote:
>>> TPM2 tests set uses /dev/tpm0 and /dev/tpmrm0 without check if they
>>> are available. In case, when these devices are not available test
>>> fails, but expected behaviour is skipped test.
>>>
>>> Signed-off-by: Nikita Sobolev <[email protected]>
>>
>> Reviewed-by: Jarkko Sakkinen <[email protected]>
>
> Shuah, can you pick this up?
>
> /Jarkko
>
Done. Applied to linux-kselftest next for Linux 5.8-rc1.
thanks,
-- Shuah
On Fri, May 22, 2020 at 01:23:26PM -0600, shuah wrote:
> On 5/22/20 10:37 AM, Jarkko Sakkinen wrote:
> > On Fri, May 22, 2020 at 07:37:17PM +0300, Jarkko Sakkinen wrote:
> > > On Thu, May 21, 2020 at 05:43:44PM +0300, Nikita Sobolev wrote:
> > > > TPM2 tests set uses /dev/tpm0 and /dev/tpmrm0 without check if they
> > > > are available. In case, when these devices are not available test
> > > > fails, but expected behaviour is skipped test.
> > > >
> > > > Signed-off-by: Nikita Sobolev <[email protected]>
> > >
> > > Reviewed-by: Jarkko Sakkinen <[email protected]>
> >
> > Shuah, can you pick this up?
> >
> > /Jarkko
> >
>
> Done. Applied to linux-kselftest next for Linux 5.8-rc1.
>
> thanks,
> -- Shuah
Thank you.
/Jarkko